package com.mortals.xhx.busiz.req;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;


@Data
public class DeviceReq implements Serializable {

    /**
     * 行为
     */
    private String action;
    /**
     * 设备编码 唯一
     */
    private String devicenum;

    /**
     * ip地址
     */
    private String ip;

    /**
     * 站点编码
     */
    private String sitenum;

    /**
     * 站点名称
     */
    private String sitename;

    /**
     * 设备类型
     （1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背,13.无感一码通,14.桌面式自助终端,15.可视化触控大屏,16.人脸识别考勤机）
     */
    private Integer type;

    /**
     * 端口
     */
    private String port;

    /**
     * 中心编码
     */
    private String centernum;


}
