
## 服务接口
### 设备上报

**请求URL:** m/api/device/upload

**请求方式:** POST

**内容类型:** application/x-www-form-urlencoded;charset=utf-8

**简要描述:** 设备心跳上报

**请求参数:**

参数名称|类型|必填|其它
---|---|---|---
action|String|否|行为
devicenum|String|是|设备编码唯一
ip|String|否|ip地址
sitenum|String|是|站点编码、
siteName|String|否|站点名称
type|Int|否|设备类型（1.呼叫器，2.窗口屏, 3.评价器，4.集中屏, 5.排号机，6.im设备, 7.样表设备，8.取件柜, 9.信息发布,10.导视机,11.开标室设备,12.背靠背,13.无感一码通,14.桌面式自助终端,15.可视化触控大屏,16.人脸识别考勤机）
port|String|否|端口
centernum|String|否|中心编码

**请求样例:**
```
    action=heatbeart&
    devicenum=a1-a2&
    ip=a1-a2&
    siteId=1&
    sitenum=510105521000-0001&
    siteName=测试站点1&
    type=15&
    port=98&
    centernum=asdfd
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码|见附录码表
msg|String|消息|-
data|object|数据对象|-
&emsp;cmd|Int|设备命令返回| 0.正常，1.重启，2.关机



**响应消息样例:**
```
{
    "code":1,
    "data":{
        "cmd":1
    }
}
```